summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-shares-plugin
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:57:41 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:41 +0200
commit1771e9c431f565125e49aef1f68edadf182aa1cb (patch)
treea6e0d9636dd40b913d1b7c2da6e5598384e550da /desktop/thunar-shares-plugin
parentb02a4e9ffbd8007b348f6359406445549bf2f8e8 (diff)
downloadslackbuilds-1771e9c431f565125e49aef1f68edadf182aa1cb.tar.gz
slackbuilds-1771e9c431f565125e49aef1f68edadf182aa1cb.tar.xz
desktop/thunar-shares-plugin: Added to 13.0 repository
Diffstat (limited to 'desktop/thunar-shares-plugin')
-rw-r--r--desktop/thunar-shares-plugin/README4
-rw-r--r--desktop/thunar-shares-plugin/slack-desc19
-rw-r--r--desktop/thunar-shares-plugin/thunar-shares-plugin.SlackBuild87
-rw-r--r--desktop/thunar-shares-plugin/thunar-shares-plugin.info10
4 files changed, 120 insertions, 0 deletions
diff --git a/desktop/thunar-shares-plugin/README b/desktop/thunar-shares-plugin/README
new file mode 100644
index 0000000000..9cb9929742
--- /dev/null
+++ b/desktop/thunar-shares-plugin/README
@@ -0,0 +1,4 @@
+This is a Thunar file manager extension to share files using Samba.
+
+Once installed, you'll find a setup guide at the following location:
+http://goodies.xfce.org/projects/thunar-plugins/thunar-shares-plugin#setup-samba
diff --git a/desktop/thunar-shares-plugin/slack-desc b/desktop/thunar-shares-plugin/slack-desc
new file mode 100644
index 0000000000..312bd0ebae
--- /dev/null
+++ b/desktop/thunar-shares-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+thunar-shares-plugin: thunar-shares-plugin (Thunar plugin for Samba share setup)
+thunar-shares-plugin:
+thunar-shares-plugin: This is a Thunar file manager extension to share files using Samba.
+thunar-shares-plugin:
+thunar-shares-plugin: http://goodies.xfce.org/projects/thunar-plugins/thunar-shares-plugin
+thunar-shares-plugin:
+thunar-shares-plugin:
+thunar-shares-plugin:
+thunar-shares-plugin:
+thunar-shares-plugin:
+thunar-shares-plugin:
diff --git a/desktop/thunar-shares-plugin/thunar-shares-plugin.SlackBuild b/desktop/thunar-shares-plugin/thunar-shares-plugin.SlackBuild
new file mode 100644
index 0000000000..028b1a9851
--- /dev/null
+++ b/desktop/thunar-shares-plugin/thunar-shares-plugin.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for thunar-shares-plugin
+
+# Copyright 2008,2009 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thunar-shares-plugin
+VERSION=0.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/thunar-shares-plugin/thunar-shares-plugin.info b/desktop/thunar-shares-plugin/thunar-shares-plugin.info
new file mode 100644
index 0000000000..d4a6c669f5
--- /dev/null
+++ b/desktop/thunar-shares-plugin/thunar-shares-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="thunar-shares-plugin"
+VERSION="0.2.0"
+HOMEPAGE="http://goodies.xfce.org/projects/thunar-plugins/thunar-shares-plugin"
+DOWNLOAD="http://goodies.xfce.org/releases/thunar-shares-plugin/thunar-shares-plugin-0.2.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="80659565406f838585a867443aad4102"
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero,Erik Hanson"